# Database Settings
LOCAL_CONNECTION_STRING="Server=localhost;Database=MTWorkHRDB;User=sa;Password=Mahmoud001;MultipleActiveResultSets=true;Encrypt=False"


# JWT Settings
JWT_SECRET_KEY="dkajsdfhalksjdhfalksdjhfalksdjfhaslkdjfhasdlkfhjasdlkfhjasdfhh"
JWT_AUDIENCE="http://localhost:28222"
JWT_ISSUER="https://localhost:44325"
JWT_DURATION_IN_MINUTES=60000

# Cookie Options

SESSION_COOKIE_EXPIRY_IN_SECONDS=3600
SURVEY_COOKIE_EXPIRY_IN_SECONDS=1800

# Database Config
DB_RUN_MIGRATIONS=true

# Attachment Settings
TEMP_ATTACHMENT_PATH="/var/www/html/attachments/temp"
ACTUAL_ATTACHMENT_PATH="/var/www/html/attachments/actual"

# Mail Settings
MAIL_API_KEY="your-sendgrid-api-key-here"
MAIL_FROM_ADDRESS="eng_z@live.com"
MAIL_FROM_NAME="Hr Management System"
MAIL_PASSWORD="your-mail-password-here"
MAIL_HOST="smtp-mail.outlook.com"
MAIL_PORT=587
TEMPLATE_PATH="/var/www/html/attachments/actual"

# OTP Settings
OTP_LENGTH=4
OTP_EXPIRE_PERIOD_IN_MINUTES=3000
OTP_SEND_EMAIL=true
OTP_ALLOW_ZEROS=false
OTP_MESSAGE_BODY="Dear User, Your OTP is {0}. Use this passcode to proceed."
OTP_MESSAGE_SUBJECT="OTP"

# General Settings
ALLOWED_HOSTS="*"